import { FcrIcon } from '../icon';
import { FcrIconType } from '../icon/type';
import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
export var CameraStateMobile = function CameraStateMobile(props) {
  var isCameraMuted = props.isCameraMuted,
    _props$size = props.size,
    size = _props$size === void 0 ? 20 : _props$size,
    ignoreColor = props.ignoreColor;
  return /*#__PURE__*/_jsx(_Fragment, {
    children: /*#__PURE__*/_jsx(FcrIcon, {
      type: isCameraMuted ? FcrIconType.FCR_CAMERAOFF : FcrIconType.FCR_CAMERA,
      colors: ignoreColor ? {
        iconPrimary: 'var(--fcr_web_ui_scene_mainicon1)',
        iconSecondary: 'var(--fcr_web_ui_scene_mainicon1)'
      } : {
        iconPrimary: isCameraMuted ? 'var(--fcr_ui_scene_white10)' : 'var(--fcr_web_ui_scene_mainicon1)',
        iconSecondary: isCameraMuted ? 'var(--fcr_ui_scene_white10)' : 'var(--fcr_web_ui_scene_mainicon1)'
      },
      size: size
    })
  });
};